Bug 221364 - [macOS] Default to showing the total duration, only switching to time remaining when clicked
Summary: [macOS] Default to showing the total duration, only switching to time remaini...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-02-03 16:11 PST by Devin Rousso
Modified: 2021-07-22 12:42 PDT (History)
9 users (show)

See Also:


Attachments
Patch (10.83 KB, patch)
2021-02-03 16:26 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (33.28 KB, patch)
2021-02-03 21:54 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (33.40 KB, patch)
2021-02-04 00:50 PST, Devin Rousso
eric.carlson: review+
Details | Formatted Diff | Diff
Patch (33.39 KB, patch)
2021-02-04 09:15 PST, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2021-02-03 16:11:01 PST
.
Comment 1 Devin Rousso 2021-02-03 16:26:11 PST
Created attachment 419203 [details]
Patch
Comment 2 Devin Rousso 2021-02-03 21:54:27 PST
Created attachment 419231 [details]
Patch
Comment 3 Devin Rousso 2021-02-04 00:50:18 PST
Created attachment 419259 [details]
Patch
Comment 4 Eric Carlson 2021-02-04 09:03:22 PST
Comment on attachment 419259 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=419259&action=review

> Source/WebCore/ChangeLog:3
> +        [macOS] default to showing the total duration, only switching to time remaining when clicked

s/default/Default/
Comment 5 Devin Rousso 2021-02-04 09:15:29 PST
Created attachment 419287 [details]
Patch
Comment 6 EWS 2021-02-04 09:39:35 PST
Committed r272373: <https://trac.webkit.org/changeset/272373>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419287 [details].
Comment 7 Radar WebKit Bug Importer 2021-02-04 09:40:16 PST
<rdar://problem/73985126>